<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://investorReportBrowse.caption"
        focusComponent="userTiersTable">
    <data readOnly="true">
        <collection id="userTiersDc"
                    class="com.company.management.entity.registrationdb.UserTier">
            <fetchPlan extends="_base">
                <property name="kycStatus" fetchPlan="_base"/>
                <property name="user" fetchPlan="_base"/>
                <property name="tier"/>
            </fetchPlan>
            <loader id="userTiersDl">
                <query>
                    <![CDATA[select e from UserTier e
                    where e.currentTier = :currentTier
                    and e.tier.code <> :tierCode1
                    order by e.createdDate desc]]>
                </query>
            </loader>
        </collection>
        <collection id="investorReportBrowseDTODc" class="com.company.management.entity.InvestorReportBrowseDTO">
            <fetchPlan extends="_base"/>
            <loader id="investorReportBrowseDTODl">
                <query>

                    <![CDATA[select e from InvestorReportBrowseDTO e]]>

                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
        <presentations auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="userTiersTable" spacing="true">
        <label value="msg://Investor Report" stylename="bold h3"/>
        <!--        <filter id="filter"-->
<!--                dataLoader="userTiersDl">-->
<!--            <properties include=".*"/>-->
<!--        </filter>-->
        <table id="userTiersTable"
                    width="100%"
                    dataContainer="investorReportBrowseDTODc">
            <actions>
                <action id="excelExport" type="excelExport" caption="msg://Export"/>
                <action id="view" type="view"/>
            </actions>
            <columns>
                <column id="fullName" caption="msg://Name"/>
<!--                <column id="tier" caption="msg://Tier Name"/>-->
                <column id="identificationType" caption="msg://ID Type"/>
                <column id="identificationNo" caption="msg://ID No."/>
                <column id="nationality" caption="msg://Nationality"/>
                <column id="phoneNumber" caption="msg://Phone No."/>
                <column id="accountNumber" caption="msg://BGD ID"/>
                <column id="email" caption="msg://Email"/>
                <column id="postcode" caption="msg://Postcode"/>
                <column id="country" caption="msg://Country"/>
                <column id="countryTax" caption="msg://Country Tax Residence"/>
                <column id="createdDate" caption="msg://Created Tradable Account Date"/>
                <column id="closingDate" caption="msg://Closing Tradable Account Date"/>
                <column id="status" caption="msg://Status"/>
            </columns>
            <simplePagination/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="userTiersTableViewBtn" action="userTiersTable.view"/>
                <button id="userTiersTableExcelExportBtn" action="userTiersTable.excelExport"/>
            </buttonsPanel>
        </table>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
